#include "CoreChatWidget.h"
#include "Types/SlateEnums.h"

class UCoreButtonWidget;

void UCoreChatWidget::OnTextCommitted(const FText& text, ETextCommit::Type commitMethod)
{

}

void UCoreChatWidget::OnIsScrollableChanged(const bool isScrollable)
{

}

void UCoreChatWidget::OnExpandClicked(UCoreButtonWidget* coreButtonWidget)
{

}

void UCoreChatWidget::OnCollapseClicked(UCoreButtonWidget* coreButtonWidget)
{

}

void UCoreChatWidget::OnChatScrollBoxUnHovered()
{

}

void UCoreChatWidget::OnChatScrollBoxHovered()
{

}

UCoreChatWidget::UCoreChatWidget()
{
	this->_chatMessageClass = NULL;
	this->_chatLogMessagesLimit = 150;
}
